Bug 439383 - rhn_register is very unspecific about problems with the RHN certificate
rhn_register is very unspecific about problems with the RHN certificate
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Sayli Karmarkar
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 09:25 EDT by Nils Philippsen
Modified: 2015-03-22 21:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:18:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2008-03-28 09:25:55 EDT
Description of problem:
On a system with badly adjusted date and time (the one in question is on "Sun
Feb 11 08:28:54 CET 2007", don't ask), rhn_register fails to validate the RHN
certificate because it is not yet valid (Systems with date and time in the
future would probably show similar symptoms). Unfortunately, the error message
shown doesn't help a bit, but you need to use a browser, then point it at
https://rhn.redhat.com and get told that the certificate is not yet valid.

Version-Release number of selected component (if applicable):
rhn-setup-0.4.16-1.el5

How reproducible:
Reproducible

Steps to Reproduce:
1. Set system, to date/time outside the validity range of the RHN certificate
2. rhn_register tell you that it doesn't have a "... security certificate
compatible with https://xmlrpc.rhn.redhat.com/XMLRPC ..." but no details about
the problems.  
3. You're offered to select an SSL certificate from disk, choose
/usr/share/rhn/RHNS-CA-CERT (which comes with the OS)
  
Actual results:
"""
Incompatible Certificate File



The certificate you provided, /usr/share/rhn/RHNS-CA-CERT, is not compatible
with the Red Hat Network
 server at https://xmlrpc.rhn.redhat.com/XMLRPC.You may want to double-check
that you have provided
 a valid certificate file. Are you sure you have provided the correct
certificate, and that the certificate
 file has not been corrupted?



Please try again with a different certificate file.
"""

Expected results:
"The certificate is only valid from ... to ..., but your system time is set to
... Please ensure you have the correct certificate and your system time is
correct.", possibly offer launching system-config-date.
Comment 1 RHEL Product and Program Management 2008-06-11 13:05:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 errata-xmlrpc 2009-01-20 17:18:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0249.html

Note You need to log in before you can comment on or make changes to this bug.